package SwitchToCustomData;

import quadbase.reportdesigner.ReportAPI.DbData;
import quadbase.reportdesigner.util.IDataSource;
import quadbase.reportdesigner.util.IResultSet;

public class Furniture_Report implements IDataSource {

    	String dataType[] = {"Integer", "Date", "Integer", "Double", "String", "Integer", "Integer"};
	String fieldName[] = {"NUMBER", "PERIOD_END", "VOLUME", "AVG_PRICE", "NAME", "ON_ORDER", "ON_HAND"};
  	String records[][] = {{"101", "2001-03-31", "355", "289", "Chair", "330", "300"},
				{"101", "2001-02-28", "267", "315", "Chair", "330", "300"},
				{"101", "2001-01-31", "248", "315", "Chair", "330", "300"},
				{"102", "2001-03-31", "270", "349", "Table", "240", "254"},
				{"102", "2001-02-28", "165", "409", "Table", "240", "254"},
				{"102", "2001-01-31", "193", "399", "Table", "240", "254"},
				{"103", "2001-02-28", "177", "399", "Dresser", "200", "177"},
				{"103", "2001-03-31", "253", "349", "Dresser", "200", "177"},
				{"103", "2001-01-31", "155", "399", "Dresser", "200", "177"},
				{"104", "2001-03-31", "569", "199", "Cabinet", "450", "384"},
				{"104", "2001-01-31", "405", "219", "Cabinet", "450", "384"},
				{"104", "2001-02-28", "420", "209", "Cabinet", "450", "384"},
				{"105", "2001-03-31", "410", "169", "Bed", "350", "292"},
				{"105", "2001-02-28", "311", "199", "Bed", "350", "292"},
				{"105", "2001-01-31", "307", "199", "Bed", "350", "292"},
				{"106", "2001-03-31", "327", "299", "Desk", "300", "243"},
				{"106", "2001-01-31", "229", "319", "Desk", "300", "243"},
				{"106", "2001-02-28", "251", "319", "Desk", "300", "243"}};
	
	DbData data = new DbData(dataType, fieldName, records);		

	public Furniture_Report() {};	

	public IResultSet getResultSet() { return data; }

}
